Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	Various bindings for mlt
Name:      	mlt++
Version:   	0.2.2
Release:   	2
License : 	GPL
URL:		http://mlt.sourceforge.net
Group:     	Video
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  mlt-devel

%description
Various bindings for mlt

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix 
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir/mlt++
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-2
- rebuilt against mlt 0.2.4
* Thu Dec 14 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.2.2-1
- Initial Release
